%global git_date  20250705
%global git_hash  fa2f3216
%global git_ver  0.21.6

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     eza
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  a modern alternative for `ls`
License:  EUPL-1.2
URL:      https://github.com/eza-community/eza
Source:   %{url}/%{src_name}


BuildRequires:  make cmake cargo rustc

%description
**eza** is a modern alternative for the venerable file-listing command-line program `ls` that ships with Unix and Linux operating systems, giving it more features and better defaults.
It uses colours to distinguish file types and metadata.
It knows about symlinks, extended attributes, and Git.
And it’s **small**, **fast**, and just **one single binary**.

By deliberately making some decisions differently, eza attempts to be a more featureful, more user-friendly version of `ls`.

%prep
%autosetup -n %{name}

%build
cargo build --release

%install
install -p -D -m755 target/release/%{name}		%{buildroot}%{_bindir}/%{name}
install -p -D -m644 man/eza.1.md			%{buildroot}%{_mandir}/man1/eza.1.md
install -p -D -m644 man/eza_colors.5.md                 %{buildroot}%{_mandir}/man5/eza_colors.5.md
install -p -D -m644 man/eza_colors-explanation.5.md     %{buildroot}%{_mandir}/man5/eza_colors-explanation.5.md


%files
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_mandir}/*


%changelog
%autochangelog
